/*
This file is part of libmspframework
Copyright © 2006 Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/
#ifdef WIN32
#include <winsock2.h>
#include "win32poll.h"
#else
#include <poll.h>
#endif
#include "pollable.h"

namespace Msp {

short Pollable::poll(short events, int timeout)
{
#ifdef WIN32
	return 0;
#else
	pollfd pfd={get_fd(), events, 0};
	int result=::poll(&pfd, 1, timeout);
	if(result<=0)
		return result;
	return pfd.revents;
#endif
}

}
